Company logoTrust Center Documentation
API v1 ReferenceContactsIdDocuments

List documents for a contact

Retrieve all available documents for the tenant with their sharing status for this contact. Browse request parameters, authentication requirements, response…

GET
/api/v1/contacts/{id}/documents

Retrieve all available documents for the tenant with their sharing status for this contact

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Contact ID

Response Body

application/json

curl -X GET "https://example.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000/documents"
{  "documents": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "title": "string",      "description": "string",      "state": "draft",      "access_level": "public",      "is_shared": true,      "file": "string",      "category": {        "id": "string",        "title": "string"      }    }  ]}

How is this guide?